Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0006912TestLinkTest Execute - Export for Results Importpublic2015-01-26 20:432016-07-05 10:13
Reporterfman 
Assigned Tofman 
PrioritynormalSeverityfeature requestReproducibilityN/A
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.9.12 (2014 Q3) 
Fixed in Version1.9.13 (2015 #1) 
Summary0006912: Export for result import - add tags to allow specify result at step level
Descriptionsince addition of exec result at step level, this seems needed.
Related ticket to allow IMPORT
TagsNo tags attached.
Database (MySQL,Postgres,etc)N/A
Browser
PHP Version
TestCaseID
QA Team - Task Workflow StatusTBD
Attached Files

- Relationships
related to 0007452closedfman Import XML results : Import steps results and notes provided in XML file 
child of 0006609closedfman Availables hot-fixes for 1.9.12 & How To get full fixed package from gitorious 

-  Notes
(0022565)
fman (administrator)
2015-01-26 20:50

example
<?xml version="1.0" encoding="UTF-8"?>
<!-- TestLink - www.testlink.org - xml to allow results import -->
<results>
    <testproject name="MAC01" prefix="MAB" />
    <testplan name="C-WP" />
    <build name="2,x" />
    <platform name="bbb" />


    <testcase external_id="MAB-3">
        <result>X</result>
        <notes>test link rocks </notes>
        <tester>put login here</tester>
        <!-- if not present now() will be used -->
        <timestamp>YYYY-MM-DD HH:MM:SS</timestamp>
        <bug_id>put your bug id here</bug_id>
        
        <custom_fields>
            <custom_field>
                <name><![CDATA[EXEC-STRING]]></name>
                <value><![CDATA[]]></value>
            </custom_field>
        </custom_fields>
    </testcase>

    <testcase external_id="MAB-4">
        <result>X</result>
        <notes>test link rocks </notes>
        <tester>put login here</tester>
        <!-- if not present now() will be used -->
        <timestamp>YYYY-MM-DD HH:MM:SS</timestamp>
        <bug_id>put your bug id here</bug_id>
        
        <steps>
            <step>
                <step_number>1</step_number>
                <result>p</result>
                <notes>your step exec notes</notes>
            </step>

            <step>
                <step_number>2</step_number>
                <result>p</result>
                <notes>your step exec notes</notes>
            </step>
        </steps>
       

        <custom_fields>
            <custom_field>
                <name><![CDATA[EXEC-STRING]]></name>
                <value><![CDATA[]]></value>
            </custom_field>
        </custom_fields>
    </testcase>

    <testcase external_id="MAB-5">
        <result>X</result>
        <notes>test link rocks </notes>
        <tester>put login here</tester>
        <!-- if not present now() will be used -->
        <timestamp>YYYY-MM-DD HH:MM:SS</timestamp>
        <bug_id>put your bug id here</bug_id>
        
        <custom_fields>
            <custom_field>
                <name><![CDATA[EXEC-STRING]]></name>
                <value><![CDATA[]]></value>
            </custom_field>
        </custom_fields>
    </testcase>

</results>
(0022657)
fman (administrator)
2015-02-07 10:52

1.9.13 released 20150207

- Issue History
Date Modified Username Field Change
2015-01-26 20:43 fman New Issue
2015-01-26 20:43 fman Status new => assigned
2015-01-26 20:43 fman Assigned To => fman
2015-01-26 20:50 fman Note Added: 0022565
2015-01-26 20:52 fman Relationship added child of 0006609
2015-01-26 20:52 fman Status assigned => resolved
2015-01-26 20:52 fman Fixed in Version => 1.9.13 (2015 #1)
2015-01-26 20:52 fman Resolution open => fixed
2015-02-07 10:52 fman Note Added: 0022657
2015-02-07 10:52 fman Status resolved => closed
2016-07-05 10:13 Mr.Bricodage Relationship added related to 0007452



Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker